CentOS Bug Tracker
CentOS Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004507CentOS-6Otherpublic2010-09-10 13:432012-12-05 21:59
Reporterlaroche 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version6.0 
Target VersionFixed in Version 
Summary0004507: freenx source rpm does not rebuild on rhel6
Descriptionfreenx-0.7.3-5.el5.centos.src.rpm does not rebuild on rhel6-beta.
The patch file freenx-0.7.2-centos-diffs.patch must be rediffed to
apply cleanly. Otherwise seems to work fine.

No real bug, just something that could be corrected with the next package release.

regards,

Florian La Roche
TagsNo tags attached.
Attached Files

- Relationships
related to 0005052resolvedtoracat Connection using freenx fails when selinux is enabled 
child of 0004770resolvedtoracat Update nx/freenx for CentOS-6 

-  Notes
(0011829)
toracat (developer)
2010-09-10 14:18

Is your tested OS 32-bit or 64-bit?

I built nx/freenx for RHEL6 beta2 a while back. Building itself was not a problem. However, I had trouble with the installation under i386 RHEL6 beta. The x86_64 version had no problem and worked fine.
(0011830)
laroche (reporter)
2010-09-10 14:23

Curent setup is also x86_64 for me, but I have a few items why I might
change to 32-bit again.

regards,

Florian La Roche
(0011832)
toracat (developer)
2010-09-10 17:51

Please keep us posted. The failure with the i386 version was observed with another person. So, I decided to put this on hold and wait for the GA release.
(0011841)
toracat (developer)
2010-09-13 14:35

I revisited the problem with RHEL6 beta2 32-bit and found a fix. NX now runs fine on both arches. Potentially a bug in the way certain X-related packages are installed on the 32-bit system. Will post details after some more investigation.
(0011900)
toracat (developer)
2010-09-30 21:52

I have uploaded nx/freenx for RHEL/CentOS-6 for testing:

http://centos.toracat.org/misc/nx-freenx/6/ [^]
(0013021)
toracat (developer)
2011-07-20 15:05

An updated version ( freenx-0.7.3-7.el6.ay and nx-3.4.0-7.el6.ay ) is now in the same place for testing.

http://centos.toracat.org/misc/nx-freenx/6/ [^]

They were built from the same srpm that was used to build the current [official] nx/freenx in CentOS-4 and -5.
(0013145)
toracat (developer)
2011-08-22 20:45

The next version will have a selinux fix ( bug 0005052 ).
(0013610)
toracat (developer)
2011-10-24 16:30

Note about the harmless "error":

Error: Could not find 1.5.0 or 2.[01].0 or 3.[01].0 version string in nxagent. NX 1.5.0 or 2.[01].0 or 3.[012].0 backend is needed for this version of FreeNX.

Patch to fix it[1]:

- [ -z "$(strings $PATH_BIN/nxagent | egrep 'NXAGENT - Version 1.5.0|NXAGENT - Version 2.[01].0|NXAGENT - Version 3.[012].0')" ] && \
- WARNING="yes" && echo "Error: Could not find 1.5.0 or 2.[01].0 or 3.[01].0 version string in nxagent. NX 1.5.0 or 2.[01].0 or 3.[012].0 backend is needed for this version of FreeNX."
+ [ -z "$(strings $PATH_BIN/nxagent | egrep 'NXAGENT - Version 1.5.0|NXAGENT - Version 2.[01].0|NXAGENT - Version 3.[01234].0')" ] && \
+ WARNING="yes" && echo "Error: Could not find 1.5.0 or 2.[01].0 or 3.[01234].0 version string in nxagent. NX 1.5.0 or 2.[01].0 or 3.[01234].0 backend is needed for this version of FreeNX."

[1] http://www.chschneider.eu/linux/server/freenx-server-0.7.3_install-dir.patch [^]
(0016119)
toracat (developer)
2012-12-05 21:59

Closing as 'resolved'.

- Issue History
Date Modified Username Field Change
2010-09-10 13:43 laroche New Issue
2010-09-10 14:18 toracat Note Added: 0011829
2010-09-10 14:23 laroche Note Added: 0011830
2010-09-10 17:51 toracat Note Added: 0011832
2010-09-13 14:35 toracat Note Added: 0011841
2010-09-30 21:52 toracat Note Added: 0011900
2010-11-03 14:25 toracat Status new => assigned
2010-11-11 17:03 toracat Relationship added child of 0004585
2011-01-19 15:38 toracat Project CentOS-5 => CentOS-6
2011-01-19 15:39 toracat Product Version 5.5 => Pre Release
2011-03-20 17:20 toracat Relationship added child of 0004770
2011-03-20 17:20 toracat Relationship deleted child of 0004585
2011-07-20 15:05 toracat Note Added: 0013021
2011-08-22 20:45 toracat Relationship added related to 0005052
2011-08-22 20:45 toracat Note Added: 0013145
2011-08-22 20:47 toracat Product Version Pre Release => 6.0
2011-08-22 20:50 toracat Category -OTHER => Other
2011-10-24 16:30 toracat Note Added: 0013610
2012-12-05 21:59 toracat Note Added: 0016119
2012-12-05 21:59 toracat Status assigned => resolved
2012-12-05 21:59 toracat Resolution open => fixed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker